package pw.hamzantal.shopreborn

import hazae41.minecraft.kutils.bukkit.ConfigFile
import java.io.File

class Messages(file: File, pl: ShopReborn) : ConfigFile(file) {
    val currency by string("currency", "$")

    val buyLore by string("buyLore")
    val sellLore by string("stringLore")
    val itemLore by string("itemLore")

    val set1 by string("set1")
    val sub10 by string("sub10")
    val sub1 by string("sub1")

    val add1 by string("add1")
    val add10 by string("add10")
    val set64 by string("set64")

    val sellConfirm by string("sell.confirm")
    val sellAll by string("sell.sellAll")
    val sellAllLore by string("sell.sellAllLore")

    val buyConfirm by string("buy.confirm")

    val cancel by string("cancel")

    init {
        if (!file.exists()) {
            val messages = pl.getResource("messages.yml").bufferedReader().readLines().joinToString("\n")
            file.createNewFile()
            file.writeText(messages)
        }
    }
}

fun String.mixPlaceholder(amount: Int = 0, price: Double = 0.0): String =
    replace("%AMOUNT%", amount.toString())
        .replace(
            "%PRICE%",
            String.format("%s%.2f", GlobalConfig.messages.currency, price)
        )
        .c